## winregfs 0.6

=== Makefile ===
CC=gcc
CFLAGS=-O3
#CFLAGS=-O2 -flto -ffunction-sections -fdata-sections -fno-unwind-tables -fno-asynchronous-unwind-tables
#CFLAGS=-Og -g3
BUILD_CFLAGS=-std=gnu99 -I. -D_FILE_OFFSET_BITS=64 -pipe -Wall -pedantic
LDFLAGS=-s
#LDFLAGS=-flto -s -Wl,--gc-sections
#LDFLAGS=
FUSE_CFLAGS=$(shell pkg-config fuse --cflags)
FUSE_LDFLAGS=$(shell pkg-config fuse --libs)
FUSE_LIBS=-lfuse

prefix=/usr
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
mandir=${prefix}/man
datarootdir=${prefix}/share
datadir=${datarootdir}
sysconfdir=${prefix}/etc

all: mount.winregfs fsck.winregfs manual

mount.winregfs: winregfs.o ntreg.o jody_hash.o
	$(CC) $(CFLAGS) $(LDFLAGS) $(FUSE_CFLAGS) $(BUILD_CFLAGS) $(FUSE_LDFLAGS) -o mount.winregfs winregfs.o ntreg.o jody_hash.o $(FUSE_LIBS)

fsck.winregfs: fsck_winregfs.o ntreg.o
	$(CC) $(CFLAGS) $(LDFLAGS) $(FUSE_CFLAGS) $(BUILD_CFLAGS) $(FUSE_LDFLAGS) -o fsck.winregfs fsck_winregfs.o ntreg.o

manual:
	gzip -9 < mount.winregfs.8 > mount.winregfs.8.gz
	gzip -9 < fsck.winregfs.8 > fsck.winregfs.8.gz

.c.o:
	$(CC) -c $(BUILD_CFLAGS) $(FUSE_CFLAGS) $(CFLAGS) $<

clean:
	rm -f *.o *~ mount.winregfs fsck.winregfs debug.log *.?.gz

distclean:
	rm -f *.o *~ mount.winregfs fsck.winregfs debug.log *.?.gz winregfs*.pkg.tar.*

install: all
	install -D -o root -g root -m 0644 mount.winregfs.8.gz $(DESTDIR)/$(mandir)/man8/mount.winregfs.8.gz
	install -D -o root -g root -m 0644 fsck.winregfs.8.gz $(DESTDIR)/$(mandir)/man8/fsck.winregfs.8.gz
	install -D -o root -g root -m 0755 -s mount.winregfs $(DESTDIR)/$(bindir)/mount.winregfs
	install -D -o root -g root -m 0755 -s fsck.winregfs $(DESTDIR)/$(bindir)/fsck.winregfs

package:
	+./chroot_build.sh

=== debian/changelog ===
winregfs (0.6-1) unstable; urgency=medium

  * Initial release (Closes: #840907)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 15 Oct 2016 15:42:21 -0300

=== debian/control ===
Source: winregfs
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
Build-Depends: debhelper (>= 10), libfuse-dev, pkg-config
Standards-Version: 3.9.8
Homepage: https://github.com/jbruchon/winregfs
Vcs-Git: https://anonscm.debian.org/git/forensics/winregfs.git
Vcs-Browser: https://anonscm.debian.org/git/forensics/winregfs.git

Package: winregfs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Windows registry FUSE filesystem
 Winregfs is a FUSE-based filesystem driver that enables accessing of Windows
 registry hive files as ordinary filesystems. Registry hive file editing can
 be performed with ordinary shell scripts and command-line tools once mounted.
 .
 fsck.winregfs scans a Windows registry hive file for problems that indicate
 the hive has been damaged by hardware or software issues, reading recursively
 the  key  and  value  data structures in the registry hive.
 .
 This package provides mount.winregfs and fsck.winregfs commands.
 Winregfs is useful for pentesters, ethical hackers and forensics experts.

## winregfs 0.7

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,14 @@
 CC=gcc
-CFLAGS=-O3
+CFLAGS=-O2 -g
 #CFLAGS=-O2 -flto -ffunction-sections -fdata-sections -fno-unwind-tables -fno-asynchronous-unwind-tables
 #CFLAGS=-Og -g3
-BUILD_CFLAGS=-std=gnu99 -I. -D_FILE_OFFSET_BITS=64 -pipe -Wall -pedantic
-LDFLAGS=-s
+BUILD_CFLAGS = -std=gnu99 -I. -D_FILE_OFFSET_BITS=64 -pipe -fstrict-aliasing
+#BUILD_CFLAGS += -Wall -Wextra -Wstrict-aliasing -Wcast-align -pedantic -Wno-unused-parameter
+BUILD_CFLAGS += -Wall -Wextra -Wwrite-strings -Wcast-align -Wstrict-aliasing -pedantic -Wstrict-overflow -Wstrict-prototypes -Wpointer-arith -Wundef
+BUILD_CFLAGS += -Wshadow -Wfloat-equal -Wstrict-overflow=5 -Waggregate-return -Wcast-qual -Wswitch-default -Wswitch-enum -Wunreachable-code -Wformat=2 -Winit-self
+#LDFLAGS=-s
 #LDFLAGS=-flto -s -Wl,--gc-sections
-#LDFLAGS=
+LDFLAGS=
 FUSE_CFLAGS=$(shell pkg-config fuse --cflags)
 FUSE_LDFLAGS=$(shell pkg-config fuse --libs)
 FUSE_LIBS=-lfuse
@@ -18,13 +21,19 @@
 datadir=${datarootdir}
 sysconfdir=${prefix}/etc
 
+OBJS_LIB=ntreg.o jody_string.o
+OBJS_FSCK=fsck_winregfs.o $(OBJS_LIB)
+OBJS_MOUNT=winregfs.o jody_hash.o $(OBJS_LIB)
+
+BUILD_CFLAGS += $(CFLAGS_EXTRA)
+
 all: mount.winregfs fsck.winregfs manual
 
-mount.winregfs: winregfs.o ntreg.o jody_hash.o
-	$(CC) $(CFLAGS) $(LDFLAGS) $(FUSE_CFLAGS) $(BUILD_CFLAGS) $(FUSE_LDFLAGS) -o mount.winregfs winregfs.o ntreg.o jody_hash.o $(FUSE_LIBS)
+mount.winregfs: $(OBJS_MOUNT)
+	$(CC) $(CFLAGS) $(LDFLAGS) $(FUSE_CFLAGS) $(BUILD_CFLAGS) $(FUSE_LDFLAGS) -o mount.winregfs $(OBJS_MOUNT) $(FUSE_LIBS)
 
-fsck.winregfs: fsck_winregfs.o ntreg.o
-	$(CC) $(CFLAGS) $(LDFLAGS) $(FUSE_CFLAGS) $(BUILD_CFLAGS) $(FUSE_LDFLAGS) -o fsck.winregfs fsck_winregfs.o ntreg.o
+fsck.winregfs: $(OBJS_FSCK)
+	$(CC) $(CFLAGS) $(LDFLAGS) $(FUSE_CFLAGS) $(BUILD_CFLAGS) $(FUSE_LDFLAGS) -o fsck.winregfs $(OBJS_FSCK)
 
 manual:
 	gzip -9 < mount.winregfs.8 > mount.winregfs.8.gz

=== debian/changelog ===
winregfs (0.7-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Giovani Augusto Ferreira ]
  * debian/watch: updated because the upstream moved the project from GitHub to Codeberg.
  * debian/control: bumped Standards-Version to 4.6.2.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 29 Apr 2024 00:03:06 -0300

winregfs (0.7-4) unstable; urgency=medium

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 13.
  * Bumped standards version to 4.5.0, no changes needed.
  * debian/copyright: updated packaging years.
  * debian/tests/control: add superficial restriction (closes: #970976)
  * debian/upstream/metadata: created.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 27 Sep 2020 14:25:14 -0300

winregfs (0.7-3) unstable; urgency=medium

  [ Thiago Andrade Marques ]
  * Team upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper 11' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added the field Rules-Requires-Root: binary-targets.
      - Bumped Standards version to 4.4.1.
  * debian/copyright:
      - Added rights for Samuel Henrique.
      - Added rights for Thiago Andrade Marques.
  * debian/tests/control: created to provide trivial tests.

  [ Samuel Henrique ]
  * Team upload.
  * Add salsa-ci.yml.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Tue, 22 Oct 2019 15:44:53 -0300

winregfs (0.7-2) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 11
  * Bumped Standards-Version to 4.1.4
  * debian/copyright: updated copyright years
  * debian/patches/cross.patch: fix FTCBFS (Closes: #900741)
      - Allow substituting pkg-config and install.
      - Pass an install that never strips.
      - Thanks to Helmut Grohne <helmut@subdivi.de> for the patch.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 24 Jun 2018 18:14:28 -0300

winregfs (0.7-1) unstable; urgency=medium

  * New upstream release.
  * Updated my email address.
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
  * debian/copyright: updated the packaging and copyright years.
  * debian/patches/fix-install.patch:
      - Updated, according to the new release.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sat, 24 Jun 2017 15:44:36 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: winregfs
 Section: utils
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
-Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
-Build-Depends: debhelper (>= 10), libfuse-dev, pkg-config
-Standards-Version: 3.9.8
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
+Build-Depends: debhelper-compat (= 13), libfuse-dev, pkg-config
+Standards-Version: 4.6.2
+Rules-Requires-Root: binary-targets
 Homepage: https://github.com/jbruchon/winregfs
-Vcs-Git: https://anonscm.debian.org/git/forensics/winregfs.git
-Vcs-Browser: https://anonscm.debian.org/git/forensics/winregfs.git
+Vcs-Git: https://salsa.debian.org/pkg-security-team/winregfs.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/winregfs
 
 Package: winregfs
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- INSTALL='install --strip-program=true'

=== debian/tests/control ===
Test-Command: fsck.winregfs -v 2>&1 | egrep -i windows
Restrictions: superficial

Test-Command: mount.winregfs -v 2>&1 | egrep -i windows
Restrictions: superficial

=== debian/watch ===
version=4
https://codeberg.org/jbruchon/winregfs/tags archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## winregfs 0.8

=== debian/changelog ===
winregfs (0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8
  * d/p/*: add fuse3.patch (Closes: #1084473).
  * d/control:
    - Replace B-D libfuse-dev by libfuse3-dev.
    - Replace B-D pkg-config by pkgconf.
    - Update Homepage to new location (Closes: #1122526).
    - Bump Standards-Version to 4.7.2.
  * d/watch: Update watch file to version 5 format.
  * d/copyright:
    - Correct upstream copyright entries and bump years.
    - Drop now unused GPL-2 license paragraph.
    - Update packaging copyright entries.

 -- Sven Geuer <sge@debian.org>  Fri, 12 Dec 2025 01:13:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
-Build-Depends: debhelper-compat (= 13), libfuse-dev, pkg-config
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), libfuse3-dev, pkgconf
+Standards-Version: 4.7.2
 Rules-Requires-Root: binary-targets
-Homepage: https://github.com/jbruchon/winregfs
+Homepage: https://codeberg.org/jbruchon/winregfs
 Vcs-Git: https://salsa.debian.org/pkg-security-team/winregfs.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/winregfs

=== debian/watch ===
Version: 5
Source: https://codeberg.org/jbruchon/winregfs/tags
Matching-Pattern: archive/@ANY_VERSION@@ARCHIVE_EXT@
